{"openapi":"3.0.0","info":{"title":"BAG Extract Ophaal API - van de LVBAG","description":"Dit is de [BAG Extract Ophaal API](https://www.kadaster.nl/zakelijk/producten/adressen-en-gebouwen/bag-extract) van de Landelijke Voorziening Basisregistratie Adressen en Gebouwen (LVBAG).  Meer informatie over de Basisregistratie Adressen en Gebouwen is te vinden op de website van het [Ministerie van Binnenlandse Zaken en Koninkrijksrelaties](https://www.geobasisregistraties.nl/basisregistraties/adressen-en-gebouwen) en [Kadaster](https://zakelijk.kadaster.nl/bag).  Deze API is gericht op het downloaden van BAG-extracten, opgedeeld in 3 abonnementssoorten 'Nederland dagmutaties', 'Nederland maandmutaties' en 'gemeenten maandmutaties'. Om gebruik te kunnen maken van deze API is een API key nodig, deze kan verkregen worden door het [aanmeldformulier](https://formulieren.kadaster.nl/aanmelden_bag) in te vullen.","termsOfService":"https://zakelijk.kadaster.nl/algemene-voorwaarden","contact":{"name":"Kadaster - Beheerder LVBAG","url":"https://zakelijk.kadaster.nl/bag"},"license":{"name":"European Union Public License, version 1.2 (EUPL-1.2)","url":"https://eupl.eu/1.2/nl/"},"version":"1.0.0"},"servers":[{"url":"https://api.bag.kadaster.nl/lvbag/bestanden-bevragingen/v1/gemeenten-maandmutaties","description":"LVBAG - PRODUCTIE"},{"url":"https://api.bag.kadaster.nl/lvbag/bestanden-bevragingen/v1","description":"LVBAG - PRODUCTIE"}],"security":[{"apiKeyBAG":[]}],"tags":[{"name":"Algemene informatie","description":"Het endpoint voor algemene informatie levert informatie op van de API."},{"name":"gemeenten-maandmutaties","description":"Deze services leveren dagmutatie-extracten van heel Nederland."},{"name":"nederland-dagmutaties","description":"Deze services leveren dagmutatie-extracten van heel Nederland."},{"name":"nederland-maandmutaties","description":"Deze services leveren maandmutatie-extracten van heel Nederland."}],"paths":{"/gemeenten-maandmutaties/afgifte":{"get":{"tags":["gemeenten-maandmutaties"],"summary":"Afgiftes maandmutaties gemeenten","description":"Ophalen van de afgiftes met betrekking tot de maandmutaties van gemeenten. Je krijgt een lijst van afgiftes terug met de bijbehorende metadata. De afgiftes zijn te downloaden via de download service.","operationId":"afgifteGemeentenMaandmutaties","responses":{"200":{"description":"Afgiftes opgehaald","content":{"application/json":{"schema":{"$ref":"#/components/schemas/afgifteResponse"}}}},"400":{"description":"Bad request","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":400,"title":"Ten minste één parameter moet worden opgegeven.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.1 400 Bad Request","detail":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modification.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"paramsRequired","invalid-params":[{"type":"https://www.vng.nl/realisatie/api/validaties/integer","name":"verblijfplaats_huisnummer","code":"integer","reason":"Waarde is geen geldige integer."}]}}}},"401":{"description":"Unauthorized. Je hebt waarschijnlijk geen geldige `X-Api-Key` header meegestuurd.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":401,"title":"Niet correct geauthenticeerd.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.2 401 Unauthorized","detail":"The request requires user authentication. The response MUST include a WWW-Authenticate header field (section 14.47) containing a challenge applicable to the requested resource.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"authentication"}}}},"403":{"description":"Forbidden. Je hebt geen rechten om deze URL te benaderen.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":403,"title":"U bent niet geautoriseerd voor deze operatie.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.4 403 Forbidden","detail":"The server understood the request, but is refusing to fulfill it.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"autorisation"}}}},"412":{"description":"Precondition failed.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":412,"title":"Niet voldaan aan vooraf gestelde voorwaarde","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.13 412 Precondition Failed","detail":"The precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"preconditionFailed"}}}},"500":{"description":"Internal server error.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":500,"title":"Interne server fout.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.1 500 Internal server error","detail":"The server encountered an unexpected condition which prevented it from fulfilling the request.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"serverError"}}}},"503":{"description":"Service Unavailable. Er vindt mogelijk (gepland) onderhoud of een storing plaats.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"},"Retry-After":{"description":"Tijdstip waarop verwacht wordt dat de service weer beschikbaar zal zijn.","style":"simple","explode":false,"schema":{"type":"string","format":"date-time"},"x-example":"Sun, 28 Nov 2017 16:41:41 GMT"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":503,"title":"Bronservice {bron} is tijdelijk niet beschikbaar.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.4 503 Service Unavailable","detail":"The service is currently unable to handle the request due to a temporary overloading or maintenance of the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"notAvailable"}}}},"default":{"description":"Er is een onverwachte fout opgetreden.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"apiKeyBAG":[]}]}},"/gemeenten-maandmutaties/download/{uuid}":{"get":{"tags":["gemeenten-maandmutaties"],"summary":"Download maandmutaties gemeenten","description":"Download maandmutaties gemeenten","operationId":"downloadGemeentenMaandmutaties","parameters":[{"name":"uuid","in":"path","description":"UUID van de te downloaden afgifte. Te vinden in de metadata als je de lijst met afgiftes ophaalt.\n","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Download geslaagd","content":{"application/zip":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad request","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":400,"title":"Ten minste één parameter moet worden opgegeven.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.1 400 Bad Request","detail":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modification.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"paramsRequired","invalid-params":[{"type":"https://www.vng.nl/realisatie/api/validaties/integer","name":"verblijfplaats_huisnummer","code":"integer","reason":"Waarde is geen geldige integer."}]}}}},"401":{"description":"Unauthorized. Je hebt waarschijnlijk geen geldige `X-Api-Key` header meegestuurd.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":401,"title":"Niet correct geauthenticeerd.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.2 401 Unauthorized","detail":"The request requires user authentication. The response MUST include a WWW-Authenticate header field (section 14.47) containing a challenge applicable to the requested resource.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"authentication"}}}},"403":{"description":"Forbidden. Je hebt geen rechten om deze URL te benaderen.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":403,"title":"U bent niet geautoriseerd voor deze operatie.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.4 403 Forbidden","detail":"The server understood the request, but is refusing to fulfill it.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"autorisation"}}}},"412":{"description":"Precondition failed.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":412,"title":"Niet voldaan aan vooraf gestelde voorwaarde","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.13 412 Precondition Failed","detail":"The precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"preconditionFailed"}}}},"500":{"description":"Internal server error.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":500,"title":"Interne server fout.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.1 500 Internal server error","detail":"The server encountered an unexpected condition which prevented it from fulfilling the request.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"serverError"}}}},"503":{"description":"Service Unavailable. Er vindt mogelijk (gepland) onderhoud of een storing plaats.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"},"Retry-After":{"description":"Tijdstip waarop verwacht wordt dat de service weer beschikbaar zal zijn.","style":"simple","explode":false,"schema":{"type":"string","format":"date-time"},"x-example":"Sun, 28 Nov 2017 16:41:41 GMT"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":503,"title":"Bronservice {bron} is tijdelijk niet beschikbaar.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.4 503 Service Unavailable","detail":"The service is currently unable to handle the request due to a temporary overloading or maintenance of the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"notAvailable"}}}},"default":{"description":"Er is een onverwachte fout opgetreden.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"apiKeyBAG":[]}]}},"/info":{"get":{"tags":["Algemene informatie"],"summary":"Algemene info van de API","operationId":"getInfo","responses":{"200":{"description":"Bevraging getInfo geslaagd","content":{"application/json":{"schema":{"$ref":"#/components/schemas/API-info"}}}},"default":{"description":"Onverwacht probleem","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"apiKeyBAG":[]}]}},"/nederland-dagmutaties/afgifte":{"get":{"tags":["nederland-dagmutaties"],"summary":"Afgiftes dagmutataties heel Nederland","description":"Ophalen van de afgiftes met betrekking tot de dagmutataties heel Nederland. Je krijgt een lijst van afgiftes terug met de bijbehorende metadata. De afgiftes zijn te downloaden via de download service.","operationId":"afgifteNederlandDagmutaties","responses":{"200":{"description":"Afgiftes opgehaald","content":{"application/json":{"schema":{"$ref":"#/components/schemas/afgifteResponse"}}}},"400":{"description":"Bad request","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":400,"title":"Ten minste één parameter moet worden opgegeven.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.1 400 Bad Request","detail":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modification.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"paramsRequired","invalid-params":[{"type":"https://www.vng.nl/realisatie/api/validaties/integer","name":"verblijfplaats_huisnummer","code":"integer","reason":"Waarde is geen geldige integer."}]}}}},"401":{"description":"Unauthorized. Je hebt waarschijnlijk geen geldige `X-Api-Key` header meegestuurd.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":401,"title":"Niet correct geauthenticeerd.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.2 401 Unauthorized","detail":"The request requires user authentication. The response MUST include a WWW-Authenticate header field (section 14.47) containing a challenge applicable to the requested resource.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"authentication"}}}},"403":{"description":"Forbidden. Je hebt geen rechten om deze URL te benaderen.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":403,"title":"U bent niet geautoriseerd voor deze operatie.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.4 403 Forbidden","detail":"The server understood the request, but is refusing to fulfill it.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"autorisation"}}}},"412":{"description":"Precondition failed.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":412,"title":"Niet voldaan aan vooraf gestelde voorwaarde","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.13 412 Precondition Failed","detail":"The precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"preconditionFailed"}}}},"500":{"description":"Internal server error.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":500,"title":"Interne server fout.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.1 500 Internal server error","detail":"The server encountered an unexpected condition which prevented it from fulfilling the request.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"serverError"}}}},"503":{"description":"Service Unavailable. Er vindt mogelijk (gepland) onderhoud of een storing plaats.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"},"Retry-After":{"description":"Tijdstip waarop verwacht wordt dat de service weer beschikbaar zal zijn.","style":"simple","explode":false,"schema":{"type":"string","format":"date-time"},"x-example":"Sun, 28 Nov 2017 16:41:41 GMT"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":503,"title":"Bronservice {bron} is tijdelijk niet beschikbaar.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.4 503 Service Unavailable","detail":"The service is currently unable to handle the request due to a temporary overloading or maintenance of the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"notAvailable"}}}},"default":{"description":"Er is een onverwachte fout opgetreden.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"apiKeyBAG":[]}]}},"/nederland-dagmutaties/download/{uuid}":{"get":{"tags":["nederland-dagmutaties"],"summary":"Download dagmutaties heel Nederland","description":"Download van de dagmutatie-extracten van heel Nederland. Je krijgt een ZIP-bestand terug","operationId":"downloadNederlandDagmutaties","parameters":[{"name":"uuid","in":"path","description":"UUID van de te downloaden afgifte. Te vinden in de metadata als je de lijst met afgiftes ophaalt.\n","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Download geslaagd","content":{"application/zip":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad request","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":400,"title":"Ten minste één parameter moet worden opgegeven.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.1 400 Bad Request","detail":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modification.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"paramsRequired","invalid-params":[{"type":"https://www.vng.nl/realisatie/api/validaties/integer","name":"verblijfplaats_huisnummer","code":"integer","reason":"Waarde is geen geldige integer."}]}}}},"401":{"description":"Unauthorized. Je hebt waarschijnlijk geen geldige `X-Api-Key` header meegestuurd.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":401,"title":"Niet correct geauthenticeerd.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.2 401 Unauthorized","detail":"The request requires user authentication. The response MUST include a WWW-Authenticate header field (section 14.47) containing a challenge applicable to the requested resource.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"authentication"}}}},"403":{"description":"Forbidden. Je hebt geen rechten om deze URL te benaderen.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":403,"title":"U bent niet geautoriseerd voor deze operatie.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.4 403 Forbidden","detail":"The server understood the request, but is refusing to fulfill it.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"autorisation"}}}},"412":{"description":"Precondition failed.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":412,"title":"Niet voldaan aan vooraf gestelde voorwaarde","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.13 412 Precondition Failed","detail":"The precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"preconditionFailed"}}}},"500":{"description":"Internal server error.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":500,"title":"Interne server fout.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.1 500 Internal server error","detail":"The server encountered an unexpected condition which prevented it from fulfilling the request.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"serverError"}}}},"503":{"description":"Service Unavailable. Er vindt mogelijk (gepland) onderhoud of een storing plaats.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"},"Retry-After":{"description":"Tijdstip waarop verwacht wordt dat de service weer beschikbaar zal zijn.","style":"simple","explode":false,"schema":{"type":"string","format":"date-time"},"x-example":"Sun, 28 Nov 2017 16:41:41 GMT"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":503,"title":"Bronservice {bron} is tijdelijk niet beschikbaar.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.4 503 Service Unavailable","detail":"The service is currently unable to handle the request due to a temporary overloading or maintenance of the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"notAvailable"}}}},"default":{"description":"Er is een onverwachte fout opgetreden.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"apiKeyBAG":[]}]}},"/nederland-maandmutaties/afgifte":{"get":{"tags":["nederland-maandmutaties"],"summary":"Afgiftes maandmutaties heel Nederland","description":"Ophalen van de afgiftes met betrekking tot de maandmutaties heel Nederland. Je krijgt een lijst van afgiftes terug met de bijbehorende metadata. De afgiftes zijn te downloaden via de download service.","operationId":"afgifteNederlandMaandmutaties","responses":{"200":{"description":"Afgiftes opgehaald","content":{"application/json":{"schema":{"$ref":"#/components/schemas/afgifteResponse"}}}},"400":{"description":"Bad request","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":400,"title":"Ten minste één parameter moet worden opgegeven.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.1 400 Bad Request","detail":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modification.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"paramsRequired","invalid-params":[{"type":"https://www.vng.nl/realisatie/api/validaties/integer","name":"verblijfplaats_huisnummer","code":"integer","reason":"Waarde is geen geldige integer."}]}}}},"401":{"description":"Unauthorized. Je hebt waarschijnlijk geen geldige `X-Api-Key` header meegestuurd.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":401,"title":"Niet correct geauthenticeerd.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.2 401 Unauthorized","detail":"The request requires user authentication. The response MUST include a WWW-Authenticate header field (section 14.47) containing a challenge applicable to the requested resource.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"authentication"}}}},"403":{"description":"Forbidden. Je hebt geen rechten om deze URL te benaderen.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":403,"title":"U bent niet geautoriseerd voor deze operatie.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.4 403 Forbidden","detail":"The server understood the request, but is refusing to fulfill it.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"autorisation"}}}},"412":{"description":"Precondition failed.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":412,"title":"Niet voldaan aan vooraf gestelde voorwaarde","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.13 412 Precondition Failed","detail":"The precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"preconditionFailed"}}}},"500":{"description":"Internal server error.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":500,"title":"Interne server fout.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.1 500 Internal server error","detail":"The server encountered an unexpected condition which prevented it from fulfilling the request.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"serverError"}}}},"503":{"description":"Service Unavailable. Er vindt mogelijk (gepland) onderhoud of een storing plaats.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"},"Retry-After":{"description":"Tijdstip waarop verwacht wordt dat de service weer beschikbaar zal zijn.","style":"simple","explode":false,"schema":{"type":"string","format":"date-time"},"x-example":"Sun, 28 Nov 2017 16:41:41 GMT"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":503,"title":"Bronservice {bron} is tijdelijk niet beschikbaar.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.4 503 Service Unavailable","detail":"The service is currently unable to handle the request due to a temporary overloading or maintenance of the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"notAvailable"}}}},"default":{"description":"Er is een onverwachte fout opgetreden.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"apiKeyBAG":[]}]}},"/nederland-maandmutaties/download/{uuid}":{"get":{"tags":["nederland-maandmutaties"],"summary":"Download maandmutaties heel Nederland","description":"Download van de maandmutatie-extracten van heel Nederland. Je krijgt een ZIP-bestand terug","operationId":"downloadNederlandMaandmutaties","parameters":[{"name":"uuid","in":"path","description":"UUID van de te downloaden afgifte. Te vinden in de metadata als je de lijst met afgiftes ophaalt.\n","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Download geslaagd","content":{"application/zip":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad request","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":400,"title":"Ten minste één parameter moet worden opgegeven.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.1 400 Bad Request","detail":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modification.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"paramsRequired","invalid-params":[{"type":"https://www.vng.nl/realisatie/api/validaties/integer","name":"verblijfplaats_huisnummer","code":"integer","reason":"Waarde is geen geldige integer."}]}}}},"401":{"description":"Unauthorized. Je hebt waarschijnlijk geen geldige `X-Api-Key` header meegestuurd.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":401,"title":"Niet correct geauthenticeerd.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.2 401 Unauthorized","detail":"The request requires user authentication. The response MUST include a WWW-Authenticate header field (section 14.47) containing a challenge applicable to the requested resource.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"authentication"}}}},"403":{"description":"Forbidden. Je hebt geen rechten om deze URL te benaderen.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":403,"title":"U bent niet geautoriseerd voor deze operatie.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.4 403 Forbidden","detail":"The server understood the request, but is refusing to fulfill it.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"autorisation"}}}},"412":{"description":"Precondition failed.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":412,"title":"Niet voldaan aan vooraf gestelde voorwaarde","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.13 412 Precondition Failed","detail":"The precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"preconditionFailed"}}}},"500":{"description":"Internal server error.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":500,"title":"Interne server fout.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.1 500 Internal server error","detail":"The server encountered an unexpected condition which prevented it from fulfilling the request.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"serverError"}}}},"503":{"description":"Service Unavailable. Er vindt mogelijk (gepland) onderhoud of een storing plaats.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"},"Retry-After":{"description":"Tijdstip waarop verwacht wordt dat de service weer beschikbaar zal zijn.","style":"simple","explode":false,"schema":{"type":"string","format":"date-time"},"x-example":"Sun, 28 Nov 2017 16:41:41 GMT"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":503,"title":"Bronservice {bron} is tijdelijk niet beschikbaar.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.4 503 Service Unavailable","detail":"The service is currently unable to handle the request due to a temporary overloading or maintenance of the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"notAvailable"}}}},"default":{"description":"Er is een onverwachte fout opgetreden.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"apiKeyBAG":[]}]}}},"components":{"schemas":{"API-info":{"title":"API-info","type":"object","properties":{"api-name":{"type":"string","description":"De naam van de API."},"api-version":{"type":"string","description":"Versie van de API."},"api-description":{"type":"string","description":"Omschrijving van de API."}},"description":"Algemene informatie voor gebruikers van de API."},"Error":{"title":"Error","required":["detail","instance","status","title","type"],"type":"object","properties":{"status":{"type":"integer","description":"De HTTP status code.","example":401},"title":{"type":"string","description":"De titel behorende bij de HTTP status code.","example":"Niet correct geauthenticeerd"},"type":{"type":"string","description":"URI naar een pagina met meer informatie over deze foutmelding voor de ontwikkelaar.\n","format":"uri","example":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.2 401 Unauthorized"},"detail":{"type":"string","description":"Een gedetailleerde beschrijving van de HTTP status code.","example":"Het verzoek vereist gebruikers authenticatie."},"instance":{"type":"string","description":"URI van de aanroep die fout heeft veroorzaakt.","format":"uri"},"code":{"minLength":1,"type":"string","description":"Systeem code die het type fout aangeeft."}}},"afgifte":{"type":"object","properties":{"artikelnummer":{"type":"string"},"beschikbaarTot":{"type":"string","format":"date-time"},"datum":{"type":"string","format":"date-time"},"gebied":{"type":"string"},"gebiedcode":{"type":"string"},"grootte":{"type":"integer","format":"int64"},"naam":{"type":"string"},"url":{"type":"string"}}},"afgifteResponse":{"type":"array","items":{"$ref":"#/components/schemas/afgifte"}}},"responses":{"400":{"description":"Bad request","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":400,"title":"Ten minste één parameter moet worden opgegeven.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.1 400 Bad Request","detail":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modification.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"paramsRequired","invalid-params":[{"type":"https://www.vng.nl/realisatie/api/validaties/integer","name":"verblijfplaats_huisnummer","code":"integer","reason":"Waarde is geen geldige integer."}]}}}},"401":{"description":"Unauthorized. Je hebt waarschijnlijk geen geldige `X-Api-Key` header meegestuurd.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":401,"title":"Niet correct geauthenticeerd.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.2 401 Unauthorized","detail":"The request requires user authentication. The response MUST include a WWW-Authenticate header field (section 14.47) containing a challenge applicable to the requested resource.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"authentication"}}}},"403":{"description":"Forbidden. Je hebt geen rechten om deze URL te benaderen.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":403,"title":"U bent niet geautoriseerd voor deze operatie.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.4 403 Forbidden","detail":"The server understood the request, but is refusing to fulfill it.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"autorisation"}}}},"412":{"description":"Precondition failed.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":412,"title":"Niet voldaan aan vooraf gestelde voorwaarde","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.13 412 Precondition Failed","detail":"The precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"preconditionFailed"}}}},"500":{"description":"Internal server error.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":500,"title":"Interne server fout.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.1 500 Internal server error","detail":"The server encountered an unexpected condition which prevented it from fulfilling the request.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"serverError"}}}},"503":{"description":"Service Unavailable. Er vindt mogelijk (gepland) onderhoud of een storing plaats.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"},"Retry-After":{"description":"Tijdstip waarop verwacht wordt dat de service weer beschikbaar zal zijn.","style":"simple","explode":false,"schema":{"type":"string","format":"date-time"},"x-example":"Sun, 28 Nov 2017 16:41:41 GMT"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"},"example":{"status":503,"title":"Bronservice {bron} is tijdelijk niet beschikbaar.","type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.5.4 503 Service Unavailable","detail":"The service is currently unable to handle the request due to a temporary overloading or maintenance of the server.","instance":"https://datapunt.voorbeeldgemeente.nl/api/v1/resourcenaam?parameter=waarde","code":"notAvailable"}}}},"default":{"description":"Er is een onverwachte fout opgetreden.","headers":{"api-version":{"$ref":"#/components/headers/API-Version"}},"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"parameters":{"uuid":{"name":"uuid","in":"path","description":"UUID van de te downloaden afgifte. Te vinden in de metadata als je de lijst met afgiftes ophaalt.\n","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}},"headers":{"API-Version":{"description":"Geeft een specifieke API-versie aan in de context van een specifieke aanroep.","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"1.0.1"}}},"securitySchemes":{"apiKeyBAG":{"type":"apiKey","description":"De API-key die je hebt gekregen dient bij elke request via de `X-Api-Key` \nrequest header meegestuurd te worden. Indien deze niet juist wordt \nmeegestuurd, of het een ongeldige key betreft, zul je de foutmelding \n`403 Forbidden` terugkrijgen.\n","name":"X-Api-Key","in":"header"}}}}